import { _list, _view, _export, _add, _adds, _up, _ups, _del, _list_get } from '@/api/app'
import { reformateObjectRes } from '@/utils/index'

const allStoreApi = defineStore('allStoreApi', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 支付接口 **************
    // 获取列表 - 通用
    list(data) {
      return new Promise((resolve, reject) => {
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    list_get(data) {
      return new Promise((resolve, reject) => {
        _list_get(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    // 获取详情  - 通用
    view(data) {
      return new Promise((resolve, reject) => {
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新 - 通用
    up(data) {
      return new Promise((resolve, reject) => {
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增  - 通用
    add(data) {
      return new Promise((resolve, reject) => {
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    // 删除 - 通用
    del(data) {
      return new Promise((resolve, reject) => {
        _del(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

  },
})

export default allStoreApi
